Package com.sun.jna.platform.win32

## Class DdemlUtil

- java.lang.Object
- - com.sun.jna.platform.win32.DdemlUtil

-     public abstract class DdemlUtil
      extends java.lang.Object

  DdemlUtil defines helper classes, that help with manageing DDE communications.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `DdemlUtil.AdvdataHandler` |
    `static interface` | `DdemlUtil.AdvreqHandler` |
    `static interface` | `DdemlUtil.AdvstartHandler` |
    `static interface` | `DdemlUtil.AdvstopHandler` |
    `static interface` | `DdemlUtil.ConnectConfirmHandler` |
    `static interface` | `DdemlUtil.ConnectHandler` |
    `static class` | `DdemlUtil.DdeAdapter` | DdeAdapter implements DdeCallback and allow dynamic registration for mulitple handlers, that can be registered and unregistered at runtime.
    `static class` | `DdemlUtil.DdeClient` |
    `static class` | `DdemlUtil.DdeConnection` |
    `static class` | `DdemlUtil.DdeConnectionList` |
    `static class` | `DdemlUtil.DdemlException` | DdemlException wraps error codes reported by the DDEML functions as an exception.
    `static interface` | `DdemlUtil.DisconnectHandler` |
    `static interface` | `DdemlUtil.ErrorHandler` |
    `static interface` | `DdemlUtil.ExecuteHandler` |
    `static interface` | `DdemlUtil.IDdeClient` | The IDdeClient defines functions that wrap a ddeml instance.
    `static interface` | `DdemlUtil.IDdeConnection` | The IDdeConnection defines the functions, that work an a concrete connection/conversation.
    `static interface` | `DdemlUtil.IDdeConnectionList` | The IDdeConnectionList wraps a connectionlist.
    `static interface` | `DdemlUtil.MonitorHandler` |
    `static interface` | `DdemlUtil.PokeHandler` |
    `static interface` | `DdemlUtil.RegisterHandler` |
    `static interface` | `DdemlUtil.RequestHandler` |
    `static class` | `DdemlUtil.StandaloneDdeClient` | StandaloneDdeClient is a convenience class, that wraps a DdeClient and a `User32Util.MessageLoopThread`.
    `static interface` | `DdemlUtil.UnregisterHandler` |
    `static interface` | `DdemlUtil.WildconnectHandler` |
    `static interface` | `DdemlUtil.XactCompleteHandler` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DdemlUtil()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DdemlUtil

          public DdemlUtil()